From 33294d4651d74dfa817640b902bd3b8868230d3f Mon Sep 17 00:00:00 2001
From: Ryan Brue <ryanbrue@hotmail.com>
Date: Mar 22 2024 18:05:59 +0000
Subject: [PATCH 32/220] fix cosmic-settings


---

diff --git a/cosmic-settings/cosmic-settings.spec b/cosmic-settings/cosmic-settings.spec
index a34b08f..2b288a2 100644
--- a/cosmic-settings/cosmic-settings.spec
+++ b/cosmic-settings/cosmic-settings.spec
@@ -103,6 +103,21 @@ just rootdir=%{buildroot} install
 %{_datadir}/icons/hicolor/32x32/apps/com.system76.CosmicSettings.svg
 %{_datadir}/icons/hicolor/48x48/apps/com.system76.CosmicSettings.svg
 %{_datadir}/icons/hicolor/64x64/apps/com.system76.CosmicSettings.svg
+%{_datadir}/applications/com.system76.CosmicSettings.About.desktop
+%{_datadir}/applications/com.system76.CosmicSettings.Appearance.desktop
+%{_datadir}/applications/com.system76.CosmicSettings.DateTime.desktop
+%{_datadir}/applications/com.system76.CosmicSettings.Desktop.desktop
+%{_datadir}/applications/com.system76.CosmicSettings.Displays.desktop
+%{_datadir}/applications/com.system76.CosmicSettings.Firmware.desktop
+%{_datadir}/applications/com.system76.CosmicSettings.Keyboard.desktop
+%{_datadir}/applications/com.system76.CosmicSettings.Mouse.desktop
+%{_datadir}/applications/com.system76.CosmicSettings.Notifications.desktop
+%{_datadir}/applications/com.system76.CosmicSettings.RegionLanguage.desktop
+%{_datadir}/applications/com.system76.CosmicSettings.Sound.desktop
+%{_datadir}/applications/com.system76.CosmicSettings.Touchpad.desktop
+%{_datadir}/applications/com.system76.CosmicSettings.Users.desktop
+%{_datadir}/applications/com.system76.CosmicSettings.Wallpaper.desktop
+%{_datadir}/applications/com.system76.CosmicSettings.Workspaces.desktop
 
 
 %changelog
diff --git a/cosmic_apps.py b/cosmic_apps.py
index dd7713b..dfac784 100644
--- a/cosmic_apps.py
+++ b/cosmic_apps.py
@@ -649,6 +649,21 @@ COSMIC_SETTINGS = {
 %{{_datadir}}/icons/hicolor/32x32/apps/com.system76.CosmicSettings.svg
 %{{_datadir}}/icons/hicolor/48x48/apps/com.system76.CosmicSettings.svg
 %{{_datadir}}/icons/hicolor/64x64/apps/com.system76.CosmicSettings.svg
+%{{_datadir}}/applications/com.system76.CosmicSettings.About.desktop
+%{{_datadir}}/applications/com.system76.CosmicSettings.Appearance.desktop
+%{{_datadir}}/applications/com.system76.CosmicSettings.DateTime.desktop
+%{{_datadir}}/applications/com.system76.CosmicSettings.Desktop.desktop
+%{{_datadir}}/applications/com.system76.CosmicSettings.Displays.desktop
+%{{_datadir}}/applications/com.system76.CosmicSettings.Firmware.desktop
+%{{_datadir}}/applications/com.system76.CosmicSettings.Keyboard.desktop
+%{{_datadir}}/applications/com.system76.CosmicSettings.Mouse.desktop
+%{{_datadir}}/applications/com.system76.CosmicSettings.Notifications.desktop
+%{{_datadir}}/applications/com.system76.CosmicSettings.RegionLanguage.desktop
+%{{_datadir}}/applications/com.system76.CosmicSettings.Sound.desktop
+%{{_datadir}}/applications/com.system76.CosmicSettings.Touchpad.desktop
+%{{_datadir}}/applications/com.system76.CosmicSettings.Users.desktop
+%{{_datadir}}/applications/com.system76.CosmicSettings.Wallpaper.desktop
+%{{_datadir}}/applications/com.system76.CosmicSettings.Workspaces.desktop
 """,
 }
 

